Subject: Greenhouses

From: [email-masked] (QTSINC)
Date: 6 Mar 1995 15:38:12 -0500

I read several posts a while back which discussed greenhouse kits and do
it yourself ideas.  I am interested in a small greenhouse kit (10x20 or
10x30) and am wondering what manufacturers are reputable.  One post
mentioned "Northern Lights" or some such company but I have not been able
to locate them.  Any suggestions?